<app-home></app-home>
<br/><br/>
<div class="container">
<h1>{{message}}</h1>
<hr>
<input type="button" value="Add" class="btn btn-info" (click)="addUserRole()" />
<div style="overflow:auto">
    <table class="table table-bordered table-striped">
        <thead>
            <tr>
                <!-- <td>Id</td> -->
                <td>Assosiate Id</td>
                <td>Assosiate Name</td>
                <!-- <td>Role Id</td> -->
                <!-- <td>Assosiate ng-template</td> -->
                <td>Role Type</td>
                <td></td>
                <td></td>
            </tr>
        </thead>
        <tbody>
 
            <tr *ngFor="let ur of lstUserRoles;let i=idx">
                <ng-template [ngTemplateOutlet]="loadTemplate(ur)" [ngTemplateOutletContext]="{ $implicit: ur, idx: i }"></ng-template>
            </tr>
 
        </tbody>
    </table>
</div>
<div>{{statusMessage}}</div>
 
 
<!--The Html Template for Read-Only Rows-->
<ng-template #readOnlyTemplate let-ur>
  <!-- <td>{{ur.id}}</td>   -->
  <td>{{ur.AssociateId}}</td>
  <td>{{ur.AssociateName}}</td>
  <!-- <td>{{ur.roleId}}</td> -->
  <!-- <td>{{ur.employeeName}}</td> -->
  <td>{{ur.RoleType}}</td>
  <td></td>
  
 <!-- <td> 
     <angular2-multiselect  name="dropdown" [data]="dropdownList" [(ngModel)]="ur.Roles" 
              [settings]="dropdownSettings" 
              (onSelect)="onItemSelect($event)" 
              (onDeSelect)="OnItemDeSelect($event)"
              (onSelectAll)="onSelectAll($event)"
              (onDeSelectAll)="onDeSelectAll($event)" disabled></angular2-multiselect> -->
            <!-- </td> -->
    <td>
        <input type="button" value="Edit" class="btn btn-default" (click)="editRole(ur)" />
    </td>
    <td>
        <input type="button" value="Delete" (click)="deleteUserRole(ur)" class="btn btn-danger" />
    </td>
</ng-template>
<!--Ends Here-->
<!--The Html Template for Editable Rows-->
<ng-template #editTemplate>
    <!-- <td>
        <input type="text" [(ngModel)]="editUserRole.id"  />
    </td> -->
    <td>
        <input type="text" [(ngModel)]="editUserRole.employeeID"  />
    </td>
    <!-- <td>
        <input type="text" [(ngModel)]="editUserRole.roleId"  />
    </td> -->
    <td>
        <input type="text" [(ngModel)]="editUserRole.roleType"  />
    </td> 
    
    <td> 
     <select  (change)="roleChange($event)"  >
        <option *ngFor=" let object of roleDropdownList"  [value]="object.roleId" selected="editUserRole.roleId">
          {{object.roleType}}
         </option>
    </select>
  </td>
    <!--<td>
      <angular2-multiselect  name="dropdown" [data]="roleDropdownList"  [(ngModel)]="selectedRoles" 
              [settings]="dropdownSettings" 
              (onSelect)="onItemSelect($event)" 
              (onDeSelect)="OnItemDeSelect($event)"
              (onSelectAll)="onSelectAll($event)"
              (onDeSelectAll)="onDeSelectAll($event)" aria-required="true"> 
     </angular2-multiselect>-->
     
   <!-- </td> -->
   
    <td>
        <input type="button" value="Save" (click)="saveUserRole()" class="btn btn-success" />
        <div *ngIf=isExist> 
            <span>User Role already exist!!</span>
        </div>
    </td>
    <td>
        <input type="button" value="Cancel" (click)="cancel()" class="btn btn-warning" />
    </td>
 
</ng-template>
</div>